# IRsNtCtxStorage Interface Reference

Inherits IRsObject.

List of all members.

## Public Member Functions
HRESULT | SetCount ([in] RtDWORD dwCount)
HRESULT | GetCount ([out, retval] RtDWORD *pdwCount)
HRESULT | SetAt ([in] RtDWORD dwInd,[in] BSTR bstrName,[in] IStream *pObjStm)
HRESULT | GetAt ([in] RtDWORD dwInd,[out] BSTR *pbstrName,[out] IStream **ppObjStm)
HRESULT | AddObjStm ([in] BSTR bstrName,[in] IStream *pObjStm)
HRESULT | GetObjStm ([in] BSTR bstrName,[out, retval] IStream **ppObjStm)
HRESULT | SetTopObjAttributes ([in] IRdNtConnectorsStorage *pTopAttrs)
HRESULT | GetTopObjAttributes ([out, retval] IRdNtConnectorsStorage **ppTopAttrs)
HRESULT | SetObjVersions ([in] IRsNtObjVersionList *pObjListVersion)
HRESULT | GetObjVersions ([out, retval] IRsNtObjVersionList **ppObjListVersion)

## Detailed Description

Object store snapshot of a context. The top object is not stored except its connectors. The content is structured by top objects.

## Member Function Documentation

HRESULT IRsNtCtxStorage::SetCount | ( | [in] RtDWORD | dwCount | ) |

SetCount. Set count of stored objects/nodes

Parameters:

  | dwCount | [in] Specify your planned number of stored nodes.

HRESULT IRsNtCtxStorage::GetCount | ( | [out, retval] RtDWORD * | pdwCount | ) |

Get count of stored nodes

Returns:
  pdwCount [out,retval] Returns number of stored nodes.

HRESULT IRsNtCtxStorage::SetAt | ( | [in] RtDWORD | dwInd,
|  | [in] BSTR | bstrName,
|  | [in] IStream * | pObjStm |
| ) |  |  |

Use to store node into this object

Parameters:

  | dwInd | [in] Specify storage index.
  | bstrName | [in] Specify name id of the object.
  | pObjStm | [in] Specify serialized object's stream.

HRESULT IRsNtCtxStorage::GetAt | ( | [in] RtDWORD | dwInd,
|  | [out] BSTR * | pbstrName,
|  | [out] IStream ** | ppObjStm |
| ) |  |  |

Get name id and the serialized object's stream by storage id.

Parameters:

  | dwInd | [in] Storage id.
  | pbstrName | [out] Returns name id of the object.
  | ppObjStm | [out] Returns serialized object's stream.

HRESULT IRsNtCtxStorage::AddObjStm | ( | [in] BSTR | bstrName,
|  | [in] IStream * | pObjStm |
| ) |  |  |

Add serialized object's stream for an object

Parameters:

  | bstrName | [in] Specify the object by name id.
  | pObjStm | [in] Specify stream you want add for the object.

HRESULT IRsNtCtxStorage::GetObjStm | ( | [in] BSTR | bstrName,
|  | [out, retval] IStream ** | ppObjStm |
| ) |  |  |

Get stream for specified object.

Parameters:

  | bstrName | [in] Specify object by name id.

Returns:
  ppObjStm [out,retval] Returns object's stream.

HRESULT IRsNtCtxStorage::SetTopObjAttributes | ( | [in] IRdNtConnectorsStorage * | pTopAttrs | ) |

Set top object attributes

Parameters:

  | pTopAttrs | [in] Specify the top object connectors' storage.

HRESULT IRsNtCtxStorage::GetTopObjAttributes | ( | [out, retval] IRdNtConnectorsStorage ** | ppTopAttrs | ) |

Call to get top object's connectors storage.

Returns:
  ppTopAttrs [out,retval] Returns the top object's connectors storage.

HRESULT IRsNtCtxStorage::SetObjVersions | ( | [in] IRsNtObjVersionList * | pObjListVersion | ) |

Set objects versions for assigned objects

Parameters:

  | pObjListVersion | [in] Specify the versions list.

HRESULT IRsNtCtxStorage::GetObjVersions | ( | [out, retval] IRsNtObjVersionList ** | ppObjListVersion | ) |

Call to get objects' version list.

Returns:
  ppObjListVersion [out,retval] Returns the object versions list.